Package uk.ac.starlink.topcat.plot2

## Class SkyFigureMode

- java.lang.Object
- - uk.ac.starlink.topcat.plot2.SkyFigureMode

- All Implemented Interfaces:
    `FigureMode`

      public abstract class SkyFigureMode
      extends java.lang.Object
      implements FigureMode

  FigureMode implementations for use with a SkySurface.
  Since:
    20 Feb 2019
  Author:
    Mark Taylor

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static SkyFigureMode` | `CIRCLE` | SkySurface area within a circle on the sky.
    `static SkyFigureMode[]` | `MODES` | Available polygon modes for use with sky surfaces.
    `static SkyFigureMode` | `POLYGON` | SkySurface area within the polygon bounded by (>=3) points.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getName()` | Returns a name by which this mode can be presented to the user.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface uk.ac.starlink.topcat.plot2.FigureMode

      `createFigure`

- - ### Field Detail

    - #### CIRCLE

          public static final SkyFigureMode CIRCLE

      SkySurface area within a circle on the sky.

    - #### POLYGON

          public static final SkyFigureMode POLYGON

      SkySurface area within the polygon bounded by (>=3) points.

    - #### MODES

          public static final SkyFigureMode[] MODES

      Available polygon modes for use with sky surfaces.

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Description copied from interface: `FigureMode`
      Returns a name by which this mode can be presented to the user. It should distinguish this object from other options that may be available in the same context, but not necessarily from all other possible instances.
      Specified by:
        `getName` in interface `FigureMode`
      Returns:
        user-directed name